org.springframework.beans.factory.support

## Interface MethodReplacer

-     public interface MethodReplacer

  Interface to be implemented by classes that can reimplement any method on an IoC-managed object: the Method Injection form of Dependency Injection.

  Such methods may be (but need not be) abstract, in which case the container will create a concrete subclass to instantiate.

  Since:
    1.1
  Author:
    Rod Johnson

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `reimplement(Object obj, Method method, Object[] args)` Reimplement the given method.

- - ### Method Detail

    - #### reimplement

          Object reimplement(Object obj,
                           Method method,
                           Object[] args)
                             throws Throwable

      Reimplement the given method.
      Parameters:
        `obj` - the instance we're reimplementing the method for
        `method` - the method to reimplement
        `args` - arguments to the method
      Returns:
        return value for the method
      Throws:
        `Throwable`